From a76749a837a2552b72be34d91330f8983f740860 Mon Sep 17 00:00:00 2001
From: elijah <elijah@riseup.net>
Date: Thu, 14 Mar 2013 02:05:58 -0700
Subject: added exit codes for puppet apply

---
 bin/leap | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

(limited to 'bin')

diff --git a/bin/leap b/bin/leap
index 683959a..5dbf046 100755
--- a/bin/leap
+++ b/bin/leap
@@ -76,5 +76,6 @@ module LeapCli::Commands
   # load commands and run
   commands_from('leap_cli/commands')
   ORIGINAL_ARGV = ARGV.dup
-  exit run(ARGV)
+  exit_status = run(ARGV)
+  exit(LeapCli::Util.exit_status || exit_status)
 end
-- 
cgit v1.2.3